import { BaseProvider } from '#templates/base/provider';
import { ActiveRoom } from '#models/ActiveRoom';

export class ActiveRoomProvider extends BaseProvider<ActiveRoom> {
	public static instance: ActiveRoomProvider;

	public static getInstance(): ActiveRoomProvider {
		ActiveRoomProvider.instance ??= new ActiveRoomProvider();
		return ActiveRoomProvider.instance;
	}

	public static get model() {
		return ActiveRoom;
	}

	constructor() {
		super('ActiveRoom');
	}
}
